NISTNamedCurves (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.nist

## Class NISTNamedCurves

- java.lang.Object
- - org.bouncycastle.asn1.nist.NISTNamedCurves

-     public class NISTNamedCurves
      extends java.lang.Object

  Utility class for fetching curves using their NIST names as published in FIPS-PUB 186-3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NISTNamedCurves()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static X9ECParameters` | `getByName(java.lang.String name)`
    `static X9ECParameters` | `getByOID(ASN1ObjectIdentifier oid)` return the X9ECParameters object for the named curve represented by the passed in object identifier.
    `static java.lang.String` | `getName(ASN1ObjectIdentifier oid)` return the named curve name represented by the given object identifier.
    `static java.util.Enumeration` | `getNames()` returns an enumeration containing the name strings for curves contained in this structure.
    `static ASN1ObjectIdentifier` | `getOID(java.lang.String name)` return the object identifier signified by the passed in name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NISTNamedCurves

          public NISTNamedCurves()

  - ### Method Detail

    - #### getByName

          public static X9ECParameters getByName(java.lang.String name)

    - #### getByOID

          public static X9ECParameters getByOID(ASN1ObjectIdentifier oid)

      return the X9ECParameters object for the named curve represented by the passed in object identifier. Null if the curve isn't present.
      Parameters:
        `oid` - an object identifier representing a named curve, if present.

    - #### getOID

          public static ASN1ObjectIdentifier getOID(java.lang.String name)

      return the object identifier signified by the passed in name. Null if there is no object identifier associated with name.
      Returns:
        the object identifier associated with name, if present.

    - #### getName

          public static java.lang.String getName(ASN1ObjectIdentifier oid)

      return the named curve name represented by the given object identifier.

    - #### getNames

          public static java.util.Enumeration getNames()

      returns an enumeration containing the name strings for curves contained in this structure.